function runStudy
% Project:
% 
% Study Procedure: 
%
% Author: Cendri Hutcherson
% Date: 05-27-18
%

%% Initial set up for the study
studyID = 'ExampleStudy'; % this should match the study directory name

% Get paths to allow for independence across platforms
pathToFile = mfilename('fullpath');
homePath = pathToFile(1:(regexp(pathToFile,studyID) + length(studyID)));
addpath(fullfile(homePath, 'PTBscripts'))
addpath(fullfile(homePath, 'PTBscripts', 'PTBToolBox'))

% Sets up a structure that is used throughout the rest of the study
PTBParams = InitPTB(homePath,'DefaultSession','Main');
pFile = PTBParams.datafile;

% Wait until the experimenter presses 'co' (for COntinue)
DrawFormattedText(PTBParams.win,'Please wait...','center','center',PTBParams.white);
Screen(PTBParams.win, 'Flip');
collectResponse([],1,'c');
collectResponse([],1,'o');

%% Study tasks

runInstructionTask(PTBParams);

runChoiceTask(PTBParams);

runRatingTask(PTBParams);

runChoiceImplementation(PTBParams);

%% End study and close all windows
endTime = datestr(now);
logData(pFile,1,endTime);

Screen('CloseAll'); 
ListenChar(1);
